Bug 1013102 - Cumulative patch for RF-13086 and RF-11275
Cumulative patch for RF-13086 and RF-11275
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.3.0
Unspecified Unspecified
high Severity high
: GA
: One-off release
Assigned To: Pavol Pitonak
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 16:34 EDT by ivassile
Modified: 2013-10-01 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
PATCH NAME: 1013102 PRODUCT NAME: Web Framework Kit VERSION: 2.3 SHORT DESCRIPTION: RF-13086: Popup panel: button's label is invisible in IE8 RF-11275: Popup panel: after changing the size of popup there is double shadow LONG DESCRIPTION: See RF-13086 (https://issues.jboss.org/browse/RF-13086) for details. See RF-11275 (https://issues.jboss.org/browse/RF-11275) for details. MANUAL INSTALL INSTRUCTIONS: Follow the required actions to apply this patch: Replace jar in binary distribution 1 - Locate the "richfaces-components-ui-4.3.2.Final-redhat-1.jar" coming from jboss-wfk-2.3.0-richfaces-bin.zip (./jboss-wfk-2.3.0/richfaces-4.3.2.Final-redhat-1/artifacts/ui/richfaces-components-ui-4.3.2.Final-redhat-1.jar) 2 - Replace the "richfaces-components-ui-4.3.2.Final-redhat-1.jar" with file "richfaces-components-ui-4.3.2.Final-redhat-1-bz-1013102.jar" from this patch. Add artifact to WFK Maven repository 1 - install artifact into your local Maven repository using mvn install:install-file -Dfile=./richfaces-components-ui-4.3.2.Final-redhat-1-bz-1013102.jar -DpomFile=./richfaces-components-ui-4.3.2.Final-redhat-1-bz-1013102.pom Use patched artifact (as dependency) in your Maven builds 1 - overide dependency with following snipet in your application pom.xml <dependencyManagement> <dependencies> <dependency> <groupId>org.richfaces.ui</groupId> <artifactId>richfaces-components-ui</artifactId> <version>4.3.2.Final-redhat-1-bz-1013102</version> </dependency> </dependencies> </dependencyManagement> Note, if there is already a <dependencyManagement> section in you pom.xml, you need to place this snippet to appear on the top of the section COMPATIBILITY: None DEPENDENCIES: None SUPERSEDES: None SUPERSEDED BY: None CREATOR: Ilia Vassilev DATE: 9/27/2013
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 11:17:57 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (6.23 MB, patch)
2013-09-30 11:39 EDT, ivassile
no flags Details | Diff

  None (edit)
Description ivassile 2013-09-27 16:34:30 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 ivassile 2013-09-30 11:39:11 EDT
Created attachment 805276 [details]
patch
Comment 2 ivassile 2013-09-30 11:40:26 EDT
To QA: Please verify the patch.
Comment 3 Pavol Pitonak 2013-10-01 10:09:25 EDT
QA passed. Please upload the patch to the customer portal.

Note You need to log in before you can comment on or make changes to this bug.